Перенос 3.0.5 с винды и обновление до 4.0.5

Обсуждение вопросов и решений

Модератор: ykolesnikov

Ответить
ReadToEat
OTRS Новобранец
Сообщения: 5
Зарегистрирован: 08 окт 2014, 08:48

Перенос 3.0.5 с винды и обновление до 4.0.5

Сообщение ReadToEat » 19 ноя 2014, 10:15

Здравствуйте !
Задача перенести с OTRS с Windows 2003 на Centos 6.5 и обновить её там с 3.0.5 до 4.0.5.
Перенести перенес. А вот обновить дальше 3.1.X не могу - запарываюсь на одном моменте...
при обновлении да 3.2.x в мануале написана что в MySQL 5.5 изменился движок таблиц
### SCHEMA UPDATE
MySQL:
Note: new tables created in the MySQL UPGRADING process will be created with the
default table storage engine set in your MySQL server.
In MySQL 5.5 the new default type is InnoDB.
If existing tables, e.g. "users", have the table storage engine e.g. MyISAM,
then an error will be displayed when creating the foreign key constraints.
Насколько я понял - мне это вообще по барабану:

Код: Выделить всё

[root@centest6 ~]# mysql -V
mysql  Ver 14.14 Distrib 5.1.73, for redhat-linux-gnu (x86_64) using readline 5.1
...
mysql> SELECT @@table_type;
+--------------+
| @@table_type |
+--------------+
| MyISAM       |
+--------------+
1 row in set (0.00 sec)
Но при выполнении cat scripts/DBUpdate-to-3.2.mysql.sql | mysql -p -f -u root otrs ругается что:

Код: Выделить всё

INFO: Foreign key constraint FK_article_flag_article_id_id does not exist, skipping.
INFO: Foreign key constraint FK_article_flag_article_id_id does not exist, skipping.
INFO: Foreign key constraint FK_article_flag_create_by_id does not exist, skipping.
INFO: Foreign key constraint FK_article_flag_create_by_id does not exist, skipping
Дальше всё штатно bin/otrs.CheckDB.pl пишет Connected. Bроде Сам OTRS работает.Проверить полностью пока нет возможности. Поэтому и беспокоюсь.Единственное что мне приходит на ум это что-то не так с файлами в каталоге /var.
И заодно может подскажите какие ножиданные проблемы могут возникнуть при дальнешем апгрейде до 3.3 и 4.0

merkushov
OTRS Бывалый
Сообщения: 310
Зарегистрирован: 25 окт 2012, 15:06
Откуда: Воронеж
Поблагодарили: 1 раз

Re: Перенос 3.0.5 с винды и обновление до 4.0.5

Сообщение merkushov » 19 ноя 2014, 12:23

Ничего страшного, сообщение информационное и у вас просто не создался CONSTRAINT Но т.к. разработчики OTRS это используют, то лучше перейти на с движка MyISAM на InnoDB.
Проблемы при переходе на 4.0 будут с шаблонами (.dtl). Планируется новый шаблонизатор - TemplateToolkit. Вот тут решение viewtopic.php?f=4&t=2694
Меркушов Виктор, perl программист

ReadToEat
OTRS Новобранец
Сообщения: 5
Зарегистрирован: 08 окт 2014, 08:48

Re: Перенос 3.0.5 с винды и обновление до 4.0.5

Сообщение ReadToEat » 19 ноя 2014, 16:58

Спасибо. Просто никак не могу понять :
Вроде правильно перевел из мануала про апгрейд схемы.

Новые таблицы созданные в процессе апгрейда MySQL будут созданны под дефолтный движок MySQL сервера.
В MySQL 5.5 по дефолту теперыча InnoDB -У меня 5.1 и движок там по умолчанию MyISAM.
Если к примеру имеются таблицы "users" под движок MyISAM, тада вы получите ошибку при создании внешних ссылок
(что я и наблюдаю) То есть вроде как менять надо! Но тут-же:
Есть два варианта: либо менять движок назначеный по умолчанию обратно на MyISAM,
так новые таблицы будут иметь такой-же двиг как и уже имеющиеся - У меня и так по умолчанию MyISAM взрыв мозга :evil:
либо использовать для уже имеющихся таблиц InnoDB двиг.

Я не вижу что тут написано мол OTRS нужен InnoDB для коректной работы.Но ошибки то есть... Как это понимать? Что по факту таки нужен?
Ок поменяю SET GLOBAL storage_engine = InnoDB - будет ли этого достаточно или надо как-то поменять двиг уже имеющийся базы и ещё раз выполнить скрипты?

merkushov
OTRS Бывалый
Сообщения: 310
Зарегистрирован: 25 окт 2012, 15:06
Откуда: Воронеж
Поблагодарили: 1 раз

Re: Перенос 3.0.5 с винды и обновление до 4.0.5

Сообщение merkushov » 19 ноя 2014, 17:46

Может разработчики переживают, что у вас будет каша из движков, если будете обновляться на mysql 5.5

Рекомендации про то, какой именно движок использовать MyISAM или InnoDB для OTRS я тоже не встречал. По логике использования у них там чистый MyISAM, т.е. нет никаких плюшек от использования транзакций и ограничений внешних ключей. База используется только как хранилище. Но CONSTRAINT зачем-то налепили!

У вас в сообщении не про ошибку ERROR, а информационное INFO, о том, что ваш движок таблицы не поддерживает ограничение по внешнему ключу и CONSTRAINT не создался. Можно не переживать. Можно сменить на InnoDB. К сожалению, как правильно поменять движок в mysql, я не помню.
Меркушов Виктор, perl программист

Ответить